HTOP(1)

NAME
htop - convert a HMMER ASCII-formatted HMM into an equivalent profile

SYNOPSIS

htop [ -fios ] [ hmm-file | - ] [ random-model-file ] [B=#]
        [C=#] [F=#] [H=#] [L=#] [M=#] [P=#] [Q=#]

DESCRIPTION
htop converts a hidden Markov model (HMM) into an equivalent PROSITE-formatted generalized profile. hmm-file is a nucleic acid or protein HMM in HMMER ascii-format. random-model-file contains a simple null-model in the format used by the HMM search programs of the HMMER1 package. This parameter is only effective in conjunction with the -b option. If omitted, a random model consisting of the average residue probabilities of the insert states will be used.

OPTIONS

-f  Emulate HMM fragment search (only effective with old HMMER1 format). When given as input to the pftools programs pfsearch or pfscan, the resulting profile will behave like the original HMM searched with the HMMER1 program hmmfs. The default mode is to emulate HMM local search implemented in the HMMER1 program hmmls.

-i  Force all insert extension scores to be zero.

-o  Assume input to be in old HMMER1 format. Pftools version 2.2 assumes by default HMMER2 format.

-s  Implement semiglobal alignment mode. This option forces all external initiation scores to be identical to the internal initiation score at the beginning of the profile. Likewise, the external termination scores are set to the value of the internal termination score at the end of the profile.

ADDITIONAL PARAMETERS

B=# Logarithmic base to be used for normalization of profile match scores (only effective with old HMMER1 format). Default: B=2.0.

C=# Level zero cut-off value in normalized score units. Default: C=8.5 (C=0.0 in conjunction with option -o).

F=# Output score multiplier (only effective in conjunction with old HMMER1 format). On output, all profile scores are multiplied by this factor and rounded to the nearest integers. Default: F=100. With the new HMMER2 format, which uses an integer-rounded log-odds representation of the HMM parameters, the original values cannot be rescaled.

H=# High-cost initiation/termination score (only effective in conjunction with -s option). This score will be applied to all external and internal initiation and termination scores at path matrix positions where initiation or termination at low cost is not possible according to semiglobal alignment mode. Default: H=* (low-value).

L=# Logarithmic base to be used for representation of profile scores (only effective in conjunction with old HMMER1 format). Default: 1.0233739 (1/30 bit units).

M=# Maximal number of unprotected residues at the ends of the profile. Default: M=5.

P=# Percent profile-length at the ends of the profile, which will not be included in the protected area (may be overwritten by parameter M, see above). Default: P=0.

Q=# Position-independent odds ratio assumed for unknown residues. This parameter determines the default values for profile scores M0 and I0. Note that the I0 scores may be over-written by the -i option. Default: Q=0.8.

EXAMPLES

(1) htop pfam_sh3.hmm > pfam_sh3.prf

    Converts the HHMER2-formatted SH3 domain profile in "pfam_sh3.hmm" into a generalized profile. After this conversion, the following two commands:

    hmmsearch --null2 pfam_sh3.hmm sh3.seq
    pfsearch -fy pfam_sh3.prf sh3.seq C=5.0

    should produce equivalent results in terms of raw scores and profile-sequence alignments (E-values and normalized scores will usually be different). Note that the program hmmsearch is from Sean Eddy's HMMER2 package (http://hmmer.wustl.edu/).

AUTHOR
Philipp Bucher
Philipp.Bucher@isrec.unil.ch